Docs
Get Notifications
GET /notifications
GET
/notificationsLists the caller's notifications, newest first. Either organizationId or eventId is required; archived ones are left out unless includeArchived is true.
Query Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| eventId | uuid | Optional | |
| organizationId | uuid | Optional | |
| includeArchived | boolean | Optional |
Response
Type: GetNotificationResponse[]
GetNotificationResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| occurredAt | date-time | |
| readAt | date-time| null | |
| subjectType | string| null | |
| subjectId | uuid | |
| organizationId | uuid | |
| eventId | uuid| null | |
| eventType | string| null | |
| isArchived | boolean | |
| title | string| null | |
| body | string| null |